# RankingServerDBSpec::GetRatingForParticipant_Data Class Reference

Given a particular player and game, get that player's rating from the database. More...

`#include <RankingServerDBSpec.h>`

Inheritance diagram for RankingServerDBSpec::GetRatingForParticipant_Data:

List of all members.

## Public Attributes

PairedKeyDbId | participantDbId
| [in] An integer ID used as the primary key for the player in the database. Should have been previously been added either externally, or through SubmitRatings
PairedKeyDbId | gameDbId
| [in] Identifies in the game in the database with a primary and secondary integer key. User defined.
bool | participantFound
| [out] Was this participant found?
float | rating
| [out] Pointer to whatever you want. Returned in GetRatingForParticipantCB().

## Detailed Description

Given a particular player and game, get that player's rating from the database.

The documentation for this class was generated from the following files:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/RankingServerDBSpec.h
- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/RankingServerDBSpec.cpp